--- title: "Creating an OCI Identity Propagation Trust (REST)" slug: "creating-an-oci-identity-propagation-trust-rest" updated: 2026-09-09T05:08:56Z published: 2026-09-09T05:08:56Z canonical: "docs.britive.com/creating-an-oci-identity-propagation-trust-rest" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.britive.com/llms.txt > Use this file to discover all available pages before exploring further. # Creating an OCI Identity Propagation Trust (REST) Use the following cURL command to create an OCI Identity Propagation Trust: ```shell curl -X POST /admin/v1/IdentityPropagationTrusts \  -H "Authorization: Bearer " \  -H "Content-Type: application/scim+json" \  -d '{    "schemas": ["urn:ietf:params:scim:schemas:oracle:idcs:IdentityPropagationTrust"],    "name": "britive-wif",    "issuer": "",    "type": "JWT",    "active": true,    "allowImpersonation": true,    "oauthClients": [""],    "publicCertificate": "",    "impersonationServiceUsers": [ { "rule": "sub eq *", "value": "" } ]  }' ``` Replace the following fields in the above cURL: | Parameter | Value | | --- | --- | | **** | The domain URL of your Oracle Cloud. | | **** | The access token created in this step: [Getting an OCI access token (REST)](/v1/docs/getting-an-oci-access-token-rest) | | **** | Get the Britive Issuer URL during the creation of the Britive WIF application in this step ([Onboarding OCI WIF Application in Britive](/v1/docs/oracle-cloud-infrastructure-oci-wif-onboarding-guide). | | **** | Client ID of the confidential app created in this step [Creating a Confidential Application in Oracle Cloud](/v1/docs/creating-confidential-application-in-oracle-cloud) | | **** | It must be base64, with no BEGIN/END lines and no newlines. Run the below command in the Linux terminal: ```shell openssl x509 -in -outform DER \| base64 -w 0 ``` | | **** | The ID of the service user created in this step: [Creating an OCI Service User (REST)](/v1/docs/creating-an-oci-service-user-rest) | > [!NOTE] > Note: > > *publicCertificate* must be the cert body only (strip the *-----BEGIN/END-----* lines and newlines). *rule* must be exactly *sub eq **. *value* is the service user *id* created in this step:[Creating an OCI Service User (REST)](/v1/docs/creating-an-oci-service-user-rest)